
CoCoA-5 - Slug #1141

IsInRadical: for monomial ideals

15 Dec 2017 15:36 - John Abbott

Status: New Start date: 15 Dec 2017

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: enhancing/improving Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.00 hour

Description

Make a faster impl for monomial ideals.

Here is a contrived example of a slug:

Ihomogxy := ideal(x^400,y^400);

f := x*((x^4-1)/(x-1))*y*((y^4-1)/(y-1));

S := support(f);

[MinPowerInIdeal(t, Ihomogxy) | t in S]; --> less than 1 s

MinPowerInIdeal(f, Ihomogxy); --> about 100s

Ihomogxy2 := ideal(x^400+y^401,y^400);

MinPowerInIdeal(f, Ihomogxy2);  --> about 140s

Related issues:

Related to CoCoA-5 - Bug #1032: IsInRadical: fragile code Closed 17 Mar 2017

History

#1 - 15 Dec 2017 15:37 - John Abbott

- Related to Bug #1032: IsInRadical: fragile code added

#2 - 15 May 2020 10:53 - Anna Maria Bigatti

- Target version changed from CoCoA-5.?.? to CoCoA-5.4.2
